Name:          giada
Version:       0.24.0
Release:       1mamba
Summary:       A free, minimal, hardcore audio tool for DJs
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.giadamusic.com/
Source:        https://github.com/monocasual/giada.git/master/giada-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libfmt-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libjack-devel
BuildRequires: libpulseaudio-devel
BuildRequires: librtmidi-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: librtmidi-devel >= 5.0.0
BuildRequires: libnlohmann-json-devel

%description
Giada is a free, minimal, hardcore audio tool for DJs, live performers and electronic musicians. How does it work? Just pick up your channel, fill it with samples or MIDI events and start the show by using this tiny piece of software as a loop machine, drum machine, sequencer, live sampler or yet as a plugin/effect host. Giada aims to be a compact and portable virtual device for Linux, Mac OS X and Windows for production use and live sets.


%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Giada is a free, minimal, hardcore audio tool for DJs, live performers and electronic musicians. How does it work? Just pick up your channel, fill it with samples or MIDI events and start the show by using this tiny piece of software as a loop machine, drum machine, sequencer, live sampler or yet as a plugin/effect host. Giada aims to be a compact and portable virtual device for Linux, Mac OS X and Windows for production use and live sets.
This package contains static header files and tools needed for development.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/giada
%{_datadir}/applications/com.giadamusic.Giada.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.giadamusic.Giada.svg
%{_datadir}/metainfo/com.giadamusic.Giada.metainfo.xml
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_bindir}/JUCE-7.0.1
%{_bindir}/JUCE-7.0.1/*
%dir %{_includedir}/JUCE-7.0.1
%{_includedir}/JUCE-7.0.1/*
%dir %{_prefix}/lib/cmake/JUCE-7.0.1
%{_prefix}/lib/cmake/JUCE-7.0.1/*

%changelog
* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 0.24.0-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 0.23.2-1mamba
- automatic version update by autodist

* Mon Sep 19 2022 Automatic Build System <autodist@mambasoft.it> 0.23.0-1mamba
- automatic version update by autodist

* Fri Sep 02 2022 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3.1-2mamba
- rebuilt with librtmidi 5.0.0

* Wed Jun 24 2020 Automatic Build System <autodist@mambasoft.it> 0.16.3.1-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 0.16.2.2-1mamba
- automatic version update by autodist

* Tue Jan 07 2020 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Sat Nov 30 2019 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Automatic Build System <autodist@mambasoft.it> 0.15.4-1mamba
- automatic version update by autodist

* Mon Aug 10 2015 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4.git20140622-1mamba
- update to 0.8.4.git20140622

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0.git20140622-1mamba
- update to 0.8.0.git20140622

* Sun Dec 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0.git20131229-1mamba
- update to 0.8.0.git20131229

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic update by autodist

* Thu Aug 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.2.20130801git-1mamba
- package created by silvan using the webbuild interface
